# $Revision: 1.64 $, $Date: 2004/11/08 21:09:00 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
Summary:	Binary compression/decompression libraries used by movie players
Summary(pl):	Binarne biblioteki do kompresji/dekompresji dla odtwarzaczy filmw
Name:		w32codec
Version:	20041107
Release:	1%{?with_license_agreement:wla}
Group:		Libraries
License:	Free for non-commercial use
%if %{with license_agreement}
Source0:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/all-%{version}.tar.bz2
#Source1:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/qt6dlls.tar.bz2
#Source2:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/qtextras.tar.bz2
#Source3:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/rp8codecs.tar.bz2
#Source4:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/rp9codecs.tar.bz2
#Source5:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/codecs/xanimdlls.tar.bz2
Source6:	http://www.ezgoal.com/dll_files/tsd32.zip
Provides:	avi-codecs
Obsoletes:	avi-codecs
Obsoletes:	w32codec-qt
BuildRequires:	unzip
%else
Requires:	cpio
Requires:	unzip
Requires:	rpm-build-tools
Requires:	wget
%endif
AutoReqProv:	no
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		w32codecDIR	ftp://ftp.pld-linux.org/dists/ac/PLD/SRPMS/SRPMS

%description
Libraries required to compress/decompress content of movie files. They
are used by movie players, but can be used to create compressed movie
files.
%if ! %{with license_agreement}
License issues made us not to include inherent files into this package
by default. If you want to create full working package please build it
with the following command:

w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm
%endif

%description -l pl
Biblioteki niezbdne do kompresji/dekompresji filmw. S one
wykorzystywane przez odtwarzacze, ale mog by uyte do tworzenia
kompresowanych plikw z filmami.
%if ! %{with license_agreement}
Kwestie licencji zmusiy nas do niedoczania do tego pakietu istotnych
plikw. Jeli chcesz stworzy w peni funkcjonalny pakiet, zbuduj go za
pomoc polecenia:

w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm
%endif

%prep
%if %{with license_agreement}
%setup -q -n all-%{version}
#bzcat %{SOURCE1} | tar xf -
#bzcat %{SOURCE2} | tar xf -
#bzcat %{SOURCE3} | tar xf -
#bzcat %{SOURCE4} | tar xf -
#bzcat %{SOURCE5} | tar xf -
unzip %{SOURCE6}
mv TSD32.DLL tsd32.dll
#for f in */*; do mv $f .; done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if ! %{with license_agreement}
install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/w32codec.install
#!/bin/sh
if [ "\$1" = "--with" -a "\$2" = "license_agreement" ]
then
	TMPDIR=\`rpm --eval "%%{tmpdir}"\`; export TMPDIR
	SPECDIR=\`rpm --eval "%%{_specdir}"\`; export SPECDIR
	SRPMDIR=\`rpm --eval "%%{_srcrpmdir}"\`; export SRPMDIR
	SOURCEDIR=\`rpm --eval "%%{_sourcedir}"\`; export SOURCEDIR
	BUILDDIR=\`rpm --eval "%%{_builddir}"\`; export BUILDDIR
	RPMDIR=\`rpm --eval "%%{_rpmdir}"\`; export RPMDIR
	mkdir -p \$TMPDIR \$SPECDIR \$SRPMDIR \$RPMDIR \$SRPMDIR \$SOURCEDIR \$BUILDDIR
	( cd \$SRPMDIR
	if echo "\$3" | grep '://' >/dev/null
	then
		wget --passive-ftp -t0 "\$3"
	else
		cp -f "\$3" .
	fi
	rpm2cpio \`basename "\$3"\` | ( cd \$TMPDIR; cpio -i w32codec.spec ) )
	if ! cp -i \$TMPDIR/w32codec.spec \$SPECDIR/w32codec.spec; then
		exit 1
	fi
	( cd \$SPECDIR
	%{_bindir}/builder -nc -ncs --with license_agreement --opts --target=%{_target_cpu} w32codec.spec
	rpm -U \$RPMDIR/%{name}-%{version}-%{release}wla.%{_target_cpu}.rpm || \
		echo -e Install manually the file:\\\n   \$RPMDIR/%{name}-%{version}-%{release}wla.%{_target_cpu}.rpm )
else
	echo "
License issues made us not to include inherent files into
this package by default. If you want to create full working
package please build it with the following command:

\$0 --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm
"
fi
EOF
%else
install -d $RPM_BUILD_ROOT%{_libdir}/codecs
install *.* $RPM_BUILD_ROOT%{_libdir}/codecs
rm -f $RPM_BUILD_ROOT%{_libdir}/codecs/*_linuxELFx86c6.xa
%endif

%if ! %{with license_agreement}
%pre
echo "
License issues made us not to include inherent files into
this package by default. If you want to create full working
package please build it with the following command:

w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm
"
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{?with_license_agreement:%{_libdir}/codecs}
%{!?with_license_agreement:%attr(755,root,root) %{_bindir}/w32codec.install}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: w32codec.spec,v $
Revision 1.64  2004/11/08 21:09:00  arekm
20041107

Revision 1.63  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.62  2004/10/17 20:38:59  adamg
- BuildRequires: unzip

Revision 1.61  2004/09/21 16:53:48  grzegorz
- update to 20040916

Revision 1.60  2004/09/12 21:43:24  jack
- updated to 20040809

Revision 1.59  2004/08/01 12:10:16  domelu
- sources changed to ftp1.mplayerhq.hu

Revision 1.58  2004/07/30 20:54:03  havner
- add --passive-ftp to wget, not everyone has global ip

Revision 1.57  2004/07/20 11:37:42  domelu
- typo

Revision 1.56  2004/07/10 09:12:12  ggodlewski
- 20040706 version

Revision 1.55  2004/06/30 06:19:15  kolodko
- added unzip to R, need by tsd32.zip

Revision 1.54  2004/06/28 17:08:03  pbern
- up to 2004026
- some fix

Revision 1.53  2004/05/10 22:27:45  kolodko
- fixed section !%{with license_agreement}

Revision 1.52  2004/04/28 19:50:27  jm
- added file tsd32.dll as suggested by Tomasz Grobelny

Revision 1.51  2004/03/14 14:07:37  eothane
- new bcond style, silly changelog cleanups

Revision 1.50  2004/03/12 00:25:55  gotar
- fixed script (export SOURCEDIR),
- removed empty %pre with license_agreement,
- simplified, cosmetics,
- release 5.

Revision 1.49  2004/03/11 01:26:54  undefine
- release 4 with new ac directory

Revision 1.48  2004/01/25 19:55:07  undefine
- release 3 for AC

Revision 1.47  2003/11/11 01:56:08  ankry
- unification

Revision 1.46  2003/09/09 15:55:35  gotar
- vanguard is in main tarball now

Revision 1.45  2003/08/14 23:51:21  grzegol
- commented out vanguard codec - no such file on mplayerhq site

Revision 1.44  2003/08/13 18:52:34  hunter
- s/pld.org.pl/pld-linux.org in wget ftp://*.src.rpm
- make dirs that are missing sometimes.

Revision 1.43  2003/06/28 22:30:27  gotar
- follow the new mplayer's codecs dir,
- s/w*ndows/binary,
- release 2.

Revision 1.42  2003/06/28 22:13:15  gotar
- Source[67] (dmo and mjpeg2k) allready included in Source0,
- new Source6 (vanguard),
- removed duplicated xanim files,
- NOTE: - not all of there files are win32!
	- there are overlapping files in rp8 and rp9.

Revision 1.41  2003/05/25 06:27:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/05/12 16:38:29  wolf
- updated source0
- %setup path from memory, mistake possible

Revision 1.39  2003/02/15 12:12:54  djurban
- fixed bcond

Revision 1.38  2002/12/15 16:21:06  adgor
- Obsoletes w32codec-qt

Revision 1.37  2002/12/14 23:50:45  djurban
- s/license/license/g (we should use BrE)
- Added more codecs
- Rel 5

Revision 1.36  2002/12/14 13:06:36  mkochano
- Added QT, RP8 & 9 and more.

Revision 1.35  2002/10/25 19:47:57  radek
- simplified

Revision 1.34  2002/10/12 10:00:44  ankry
- redirect to main ftp; rel. 3

Revision 1.33  2002/10/08 20:15:30  ankry
- release 1.7

Revision 1.32  2002/10/08 16:05:46  wiget
- give it chance to work

Revision 1.31  2002/10/08 14:24:18  ankry
- use macro

Revision 1.30  2002/10/08 10:10:42  ankry
- added target option, release 1.6

Revision 1.29  2002/09/24 13:15:44  ankry
- yet another solution of w32codec problem
- release 1.5, not much tested yet

Revision 1.27  2002/09/20 19:57:16  rrw
- version 0.90pre7;

Revision 1.26  2002/08/18 22:57:28  gotar
- readded some informations about package (I'm not sure about this
  license, and package builds empty by default),
- release 5.

Revision 1.25  2002/08/18 13:01:30  blues
- release 4 - license fix

Revision 1.24  2002/08/14 10:48:00  marcus
- fixed bcond

Revision 1.23  2002/08/02 17:55:02  kloczek
- release 4: reverse %%{?with_license_agreement} macro - now by default will
  be builded empty package.

Revision 1.22  2002/07/28 12:14:42  kloczek
- release 3.

Revision 1.21  2002/04/16 09:44:07  ankry
- fixed source URL

Revision 1.20  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/28 10:31:00  marcus
- s/%%{x86}/%%{ix86}/g

Revision 1.17  2002/01/18 02:15:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/17 20:09:37  filon
- source is bz2 now, fixed build
- release 2

Revision 1.15  2002/01/17 18:29:28  filon
- updated to 0.60 (for mpalyer 0.60), MPLAYER RULEZ\!

Revision 1.14  2001/12/13 02:28:50  gotar
- typo.

Revision 1.13  2001/12/10 02:28:20  gotar
- removed redundant building empty package; we've got divx4linux now,
- release 2.

Revision 1.12  2001/11/13 16:57:53  misiek
- nosrc -> src

Revision 1.11  2001/11/07 11:18:45  qboosh
- more Groups

Revision 1.10  2001/10/28 16:43:36  arekmat
- updated to 0.50

Revision 1.9  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.8  2001/08/22 17:28:01  filon
- reverting last change

Revision 1.7  2001/08/21 18:47:28  filon
- removed unnecessary provides: avi-codecs

Revision 1.6  2001/08/06 18:54:41  blues
- typo

Revision 1.5  2001/07/30 15:08:13  baggins
- typo

Revision 1.4  2001/07/30 10:04:18  kloczek
- release 2: added "ExclusiveArch: %%{ix86}".

Revision 1.3  2001/07/28 22:56:45  qboosh
- added Obsoletes: avi-codecs

Revision 1.2  2001/07/28 10:38:37  wrobell
- Conflicts: -> Provides:

Revision 1.1  2001/07/25 16:50:16  wrobell
- even avifile developers use w32codec, now, so avi-codecs
  is obsoleted in favour of w32codec, which contains fresh
  set of windows crap
